Search found 3311 matches

Go to advanced search

by mario52
Sat Jan 09, 2021 1:46 pm
Forum: Python scripting and macros
Topic: Create Plane for Normal
Replies: 4
Views: 215

Re: Create Plane for Normal

hi tray this macro, select 2 points (or vertex or one line) and run the macro one line is created (for fun) between the points and the plane is centred on first point and on direction on 2 points #Macro_D_Un_Jour_Plane_On_2_Points_Direction #https://forum.freecadweb.org/viewtopic.php?f=22&t=54127 #M...
by mario52
Tue Jan 05, 2021 2:25 pm
Forum: Open discussion
Topic: Where is the "Part_library" workbench?
Replies: 6
Views: 270

Re: Where is the "Part_library" workbench?

hi

tray Bim instead (in AddonManager)

mario
by mario52
Tue Jan 05, 2021 1:27 pm
Forum: Python scripting and macros
Topic: Screenshot via script
Replies: 6
Views: 271

Re: Screenshot via script

hi That avoids a wrong delay at heavy CPU load (@mario52 - could you integrate the idear into your great macro? :) ) more explication force a delay at a test viewing w/o output during several placements mode Image (not necessary) or mode Rotation (the mode Rotation have one option delay) mario
by mario52
Sun Jan 03, 2021 8:14 pm
Forum: Python scripting and macros
Topic: Screenshot via script
Replies: 6
Views: 271

Re: Screenshot via script

hi This way I can create several frames and use the images afterwards for animations/documentations etc. tray Macro_Screen_Wiki https://wiki.freecadweb.org/images/thumb/f/f5/Macro_Screen_Wiki.png/32px-Macro_Screen_Wiki.png exactly you want, install with AddonManager code for save image : #'C:/Users/...
by mario52
Tue Dec 29, 2020 10:58 am
Forum: Help on using FreeCAD
Topic: only rotate the camera on two axes
Replies: 3
Views: 92

Re: only rotate the camera on two axes

hi merci chrisb @3nt3 If you want create button in toolbar modify this code for the desired axis this work for the Zaxis left to right (-1) right to left Z (1) here angle 10.0 degrees def RotateView(axisX=0.0,axisY=0.0,axisZ=1.0,angle=-10.0): ##here the axis Z (1.0) is the axis rotation (-10.0 degre...
by mario52
Mon Dec 28, 2020 10:25 am
Forum: Help on using FreeCAD
Topic: Sketcher - Replace all circles by dots
Replies: 12
Views: 348

Re: Sketcher - Replace all circles by dots

hi just for this section (create dot in center circle and more other function) Therefore I want to replace all circle geometry by dots . use Macro_WorkFeatures https://wiki.freecadweb.org/images/thumb/9/9d/WF_wf.png/32px-WF_wf.png Points > Circle(s) Center ReplaceGeometry_Dot-Center-Circle.FCStd mario
by mario52
Sun Dec 27, 2020 8:32 pm
Forum: Python scripting and macros
Topic: Python is too confusing for me
Replies: 8
Views: 382

Re: Python is too confusing for me

hi

for create one animate gif tray screentogif (Windows)

mario
by mario52
Sun Dec 27, 2020 5:22 pm
Forum: Python scripting and macros
Topic: Python is too confusing for me
Replies: 8
Views: 382

Re: Python is too confusing for me

Hi
doul wrote:
Sun Dec 27, 2020 2:55 pm
mario52 code work well, if I made any change with QtDesigner i have to rewrite all over again.
modify with QtDesigner , convert your .ui in .py, edit your file .py with Notepad++ (or other) copy only your modifications and paste it to your macro and work....

bienvenue au club

mario
by mario52
Sun Dec 27, 2020 12:37 pm
Forum: Forum français
Topic: Sélectionner un objet dans l'absolu
Replies: 4
Views: 262

Re: Sélectionner un objet dans l'absolu

Bonjour

vous pouvez aussi faire une recherche par label:

Code: Select all

FreeCAD.ActiveDocument.getObjectsByLabel("Cylindre")[0].Placement.Base)
FreeCAD.ActiveDocument.getObjectsByLabel("Cylindre")[0].Placement.Rotation.Angle)
ici un Rubik_Cube Macro_Rubik_Cube

mario

Go to advanced search